Package com.smartgwt.logicalstructure.widgets.cube

# Class CubeGridLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.VLayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.grid.ListGridLogicalStructure
com.smartgwt.logicalstructure.widgets.cube.CubeGridLogicalStructure

public class CubeGridLogicalStructure extends ListGridLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `alternateRecordStyles`
  `String`
  `autoFetchTextMatchStyle`
  `String`
  `autoFitColumnTitle`
  `String`
  `autoFitFieldWidths`
  `String`
  `autoSelectHeaders`
  `String`
  `autoSelectValues`
  `String`
  `autoSizeHeaders`
  `String`
  `baseStyle`
  `String`
  `bodyMinHeight`
  `String`
  `bodyMinWidth`
  `String`
  `bodyStyleName`
  `String`
  `canCollapseFacets`
  `String`
  `canDragSelect`
  `String`
  `canEdit`
  `String`
  `canMinimizeColumns`
  `String`
  `canMinimizeFacets`
  `String`
  `canMoveFacets`
  `String`
  `canReorderColumns`
  `String`
  `canResizeColumns`
  `String`
  `canSelectHeaders`
  `String`
  `canSelectValues`
  `String`
  `canSortData`
  `String`
  `canSortFacets`
  `String`
  `cellAlign`
  `String`
  `cellIdProperty`
  `String`
  `chartConfirmThreshold`
  `String`
  `chartConstructor`
  `String`
  `chartDialogTitle`
  `String`
  `chartItemTitle`
  `String`
  `chartStackedTitle`
  `String`
  `chartType`
  `String`
  `chartTypeTitle`
  `String`
  `colHeaderBaseStyle`
  `String`
  `colHeaderLabelBaseStyle`
  `String[]`
  `columnFacets`
  `String`
  `controlCloseTitle`
  `String`
  `controlMaximizeTitle`
  `String`
  `controlMinimizeTitle`
  `String`
  `controlReorderHandleTitle`
  `String`
  `controlSortDownTitle`
  `String`
  `controlSortUpTitle`
  `CellRecord[]`
  `data`
  `DataSource`
  `dataSourceAsDataSource`
  `String`
  `dataSourceAsString`
  `String`
  `defaultFacetWidth`
  `String`
  `editByCell`
  `String`
  `enableCharting`
  `String`
  `exportColumnFacetBGColor`
  `String`
  `exportColumnFacetTextColor`
  `String`
  `exportFacetBGColor`
  `String`
  `exportFacetSeparatorString`
  `String`
  `exportFacetTextColor`
  `String`
  `exportRowFacetBGColor`
  `String`
  `exportRowFacetTextColor`
  `String`
  `facetLabelHoverAlign`
  `String`
  `facetLabelHoverHeightAsString`
  `String`
  `facetLabelHoverStyle`
  `String`
  `facetLabelHoverVAlign`
  `String`
  `facetLabelHoverWidthAsString`
  `String`
  `facetTitleAlign`
  `String`
  `facetValueAlign`
  `MenuItem[]`
  `facetValueContextItems`
  `String`
  `facetValueHoverAlign`
  `String`
  `facetValueHoverHeightAsString`
  `String`
  `facetValueHoverStyle`
  `String`
  `facetValueHoverVAlign`
  `String`
  `facetValueHoverWidthAsString`
  `String`
  `fieldVisibilitySubmenuTitle`
  `FacetValueMap`
  `fixedFacetValues`
  `String`
  `hideAllHighlightsTitle`
  `String`
  `hideEmptyAxis`
  `String`
  `hideEmptyFacetValues`
  `String`
  `highlightCellTitle`
  `String`
  `highlightSelectionTitle`
  `String`
  `highlightTitle`
  `Hilite[]`
  `hilites`
  `String`
  `indentVTreeFacets`
  `String`
  `innerHeaderBaseStyle`
  `String`
  `maximizeColumnTitle`
  `String`
  `metricFacetId`
  `String`
  `minimizeColumnTitle`
  `String`
  `noHighlightsTitle`
  `String`
  `padTitles`
  `String`
  `renameFacetValueMessage`
  `String`
  `renameFacetValueTitle`
  `String`
  `rollupValue`
  `String`
  `rotateHeaderTitles`
  `String[]`
  `rowFacets`
  `String`
  `rowHeaderBaseStyle`
  `String`
  `rowHeaderGridMode`
  `String`
  `rowHeaderLabelBaseStyle`
  `String`
  `saveByCell`
  `String`
  `showAllHighlightsTitle`
  `String`
  `showFacetContextMenus`
  `String`
  `showFacetValueContextMenus`
  `String`
  `showHighlightsTitle`
  `String`
  `showHoverTipsTitle`
  `String`
  `simpleDeselect`
  `String`
  `skinImgDir`
  `String`
  `sortDirection`
  `FacetValueMap`
  `sortedFacetValues`
  `String`
  `styleName`
  `String`
  `valueExportFormat`
  `String`
  `valueFormat`
  `String`
  `valueProperty`
  `String`
  `valueTitle`
  `String`
  `vTreeFacetIndent`
  `String`
  `vTreeFacetIndentDirection`
  `String`
  `wrapFacetTitles`
  `String`
  `wrapFacetValueTitles`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.grid.ListGridLogicalStructure

  `advancedFieldPickerThreshold, advancedFilteringText, aiFilterWindowHint, aiFilterWindowInstructions, aiFilterWindowTitle, aiHoverContentsPrefix, aiHoverRetryDelay, aiSortFieldMaxRecordsMessage, allowFilterExpressions, allowFilterOperators, allowFilterWindow, allowRowSpanning, alternateBodyStyleName, alternateFieldFrequency, alternateFieldStyles, alternateFieldSuffix, alternateRecordFrequency, alternateRecordSuffix, alwaysShowEditors, alwaysShowOperatorIcon, animateFolderEffect, animateFolderMaxRows, animateFolders, animateFolderSpeed, animateFolderTime, animateRemoveRecord, animateRemoveSpeed, animateRemoveTime, animateRollOver, animateRollUnder, animateSelection, animateSelectionUnder, applyFormulaAfterSummary, applyRowCountToLength, applyRowNumberStyle, approximateRowCountFormat, ariaRole, arrowKeyAction, arrowKeyEditAction, asyncErrorCellValue, asynchGroupingPrompt, asyncMissingCellValue, autoComplete, autoConfirmSaveEdits, autoFetchDisplayMap, autoFetchRowCount, autoFitAllText, autoFitClipFields, autoFitData, autoFitDateFields, autoFitExpandField, autoFitExpandLengthThreshold, autoFitExtraRecords, autoFitFieldsFillViewport, autoFitFieldText, autoFitHeaderHeights, autoFitIconFields, autoFitMaxColumns, autoFitMaxHeight, autoFitMaxRecords, autoFitMaxWidthAsString, autoFitTimeFields, autoFitWidthApproach, autoHideCanvasGrid, autoPersistViewState, autoSaveEdits, autoSizeHeaderSpans, badFormulaResultValue, blockingRowCountFetch, bodyBackgroundColor, bodyOverflow, booleanBaseStyle, booleanFalseImage, booleanImageHeight, booleanImageWidth, booleanPartialImage, booleanTrueImage, briefRowRangeDisplayValue, canAcceptDroppedRecords, canAddAISortFields, canAddAISummaryFields, canAutoFitFields, cancelEditingConfirmationMessage, canCollapseGroup, canConfigureViaAI, canDragRecordsOut, canDragSelectText, canDropInEmptyArea, canEditHilites, canEditTitles, canExpandMultipleRecords, canExpandRecordProperty, canExpandRecords, canFocusInEmptyGrid, canFreezeFields, canGroupBy, canHiliteViaAI, canHover, canMultiGroup, canMultiSort, canPickFields, canPickOmittedFields, canRemoveRecords, canReorderFields, canReorderRecords, canRequestRowCount, canResizeFields, canSaveSearches, canSelectAll, canSelectCells, canSelectGroups, canSelectOnRecordClick, canSelectSummaryRows, canShowFilterEditor, canSort, canTabToHeader, canTabToSorter, canvasGridConstructor, cellHeight, cellPadding, cellRole, centralStyling, checkboxFieldFalseImage, checkboxFieldImageHeight, checkboxFieldImageWidth, checkboxFieldPartialImage, checkboxFieldTrueImage, childExpansionMode, clearAllSortingText, clearCriteriaOnFilterEditorHide, clearFilterText, clearFilterViaAIText, clearSortFieldText, clipHeaderTitles, collapseGroupOnRowClick, configureGroupingText, configureSortText, configureViaAIText, confirmCancelEditing, confirmDiscardEdits, confirmDiscardEditsMessage, criteriaIndicatorColor, criteriaIndicatorHeaderColor, dataArity, dataFetchDelay, dataFetchMode, dataProperties, dateFormatter, datetimeFormatter, defaultDateFieldWidth, defaultDateTimeFieldWidth, defaultEditableDateFieldWidth, defaultEditableDateTimeFieldWidth, defaultFilterOperator, defaultFilterOperatorSuffix, defaultTimeFieldWidth, deferRemoval, deselectOnPartialCheckboxClick, detailDS, detailField, disabledGroupByPrompt, discardDataOnSetFetchOperation, discardEditsOnHideField, discardEditsSaveButtonTitle, divGrid, dragHandleFieldTitle, dragHandleIcon, dragHandleIconSize, dragRecategorize, dragScrollRedrawDelay, dragTrackerMode, drawAheadRatio, drawAllMaxCells, editEvent, editFailedBaseStyle, editFailedCSSText, editOnF2Keypress, editOnFocus, editPendingBaseStyle, editPendingCSSText, editPendingMarkerStyle, editProxyConstructor, editSelectionType, embeddedComponentIndent, embeddedComponentMargin, emptyAIHoverContents, emptyCellValue, emptyMessage, emptyMessageStyle, emptyRowRangeDisplayValue, enforceVClipping, enterKeyEditAction, enumCriteriaAsInitialValues, errorIconHeight, errorIconSrc, errorIconWidth, escapeKeyEditAction, exactRowCountFormat, expansionCanEdit, expansionComponentPoolingMode, expansionEditorCollapseOnSave, expansionEditorSaveButtonTitle, expansionEditorSaveDialogPrompt, expansionEditorShowSaveDialog, expansionFieldFalseImage, expansionFieldImageHeight, expansionFieldImageShowRTL, expansionFieldImageShowSelected, expansionFieldImageStyle, expansionFieldImageWidth, expansionFieldTrueImage, expansionIndent, expansionMode, expansionScreen, explicitFetchDelay, exportAlternateRowBGColor, exportColumnWidthPadding, exportDefaultBGColor, exportFieldAlignments, exportFieldWidths, exportHeaderHeights, exportHiddenFieldWidth, exportRawNumbers, exportRawValues, exportWidthScale, exportWrapCells, exportWrapHeaderTitles, fetchDelay, fetchFieldsAsListGridFieldArray, fetchFieldsAsString, fieldCriteriaText, fieldPickerFieldProperties, fieldPickerShowSampleValues, fields, fieldState, filterButtonPrompt, filterByCell, filterEditorHeight, filterLocalData, filterOnKeypress, filterUsingText, filterViaAIMode, filterViaAIPanelInstructions, filterViaAIText, filterWindowCriteria, filterWindowInstructions, filterWindowTitle, firstCellStyle, fixedFieldWidths, fixedRecordHeights, formulaBuilderSpanTitleSeparator, freezeFieldText, frozenBaseStyle, frozenBodyStyleName, frozenFieldsMaxWidthAsString, frozenHeaderBaseStyle, frozenHeaderTitleStyle, frozenRollOverCanvas, frozenRollUnderCanvas, fullRowRangeDisplayValue, generateClickOnEnter, generateClickOnSpace, generateDoubleClickOnEnter, generateDoubleClickOnSpace, gridAdditionalCriteriaText, gridComponentsAsCanvasArray, gridComponentsAsStringArrayArray, gridSummaryRecordProperty, groupByAsyncThreshold, groupByFieldSummaries, groupByMaxRecords, groupByMaxRecordsExceededMessage, groupByText, groupIcon, groupIconSize, groupIconStyle, groupIndentSize, groupLeadingIndent, groupNodeBaseStyle, groupNodeStyle, groupSortDirection, groupStartOpenAsString, groupState, groupSummaryRecordProperty, groupSummaryStyle, groupTitleField, headerAriaRole, headerAutoFitEvent, headerBackgroundColor, headerBarStyle, headerBaseStyle, headerButtonAriaRole, headerButtonAriaState, headerHeight, headerHoverAlign, headerHoverHeight, headerHoverOpacity, headerHoverStyle, headerHoverVAlign, headerHoverWidth, headerHoverWrap, headerMenuButtonHeightAsString, headerMenuButtonIcon, headerMenuButtonIconHeight, headerMenuButtonIconWidth, headerMenuButtonSnapOffsetLeft, headerMenuButtonWidth, headerRadius, headerShadowColor, headerShadowHOffset, headerShadowSoftness, headerShadowVOffset, headerSpanHeight, headerTitleStyle, headerTitleVAlign, hideEmptySummaryRow, hideFilterEditorTitle, hiliteCanReplaceValue, hiliteEditorSpanTitleSeparator, hiliteHTMLAfterFormat, hiliteIconHeight, hiliteIconLeftPadding, hiliteIconPosition, hiliteIconRightPadding, hiliteIcons, hiliteIconSize, hiliteIconWidth, hiliteReplaceValueFieldTitle, hiliteRowOnFocus, hiliteViaAIMode, hiliteViaAIText, hoverMode, hoverScreen, hoverStyle, iconCursor, iconPadding, imageSize, includeHilitesInSummaryFields, includeInSummaryProperty, initialSort, inlineEditItemGap, instantScrollTrackRedraw, invalidSummaryValue, isGrouped, isSeparatorProperty, lastCellStyle, leaveScrollbarGap, linkTextProperty, linkTextStyleName, listEndEditAction, loadingDataMessage, loadingDataMessageStyle, loadingMessage, loadingRowCountDisplayIcoHeight, loadingRowCountDisplayIcon, loadingRowCountDisplayIconWidth, locateColumnsBy, locateRowsBy, longTextEditorThreshold, longTextEditorType, maxExpandedRecords, maxExpandedRecordsPrompt, maximumRowCountFormat, maxSummaryRowRecords, minFieldWidth, minHeight, minimumCellHeight, minimumRowCountFormat, missingSummaryFieldValue, modalEditing, navigateOnTab, neverValidate, newRecordRowMessage, newSearchText, normalBaseStyle, normalCellHeight, noSavedSearchesText, nullGroupTitle, offlineMessageStyle, originBaseStyle, overflow, pendingAsyncCellValue, placeholderAIHoverContents, poolComponentsPerColumn, preRender, preRenderDelay, preRenderFormatValues, preRenderImageMode, preRenderPlaceholderColor, preRenderStructureDelay, preRenderTransitionDuration, preserveFocusStylingOnMouseOut, preserveWhitespace, printAutoFit, printBaseStyle, printBooleanBaseStyle, printBooleanFalseImage, printBooleanPartialImage, printBooleanTrueImage, printCheckboxFieldFalseImage, printCheckboxFieldPartialImage, printCheckboxFieldTrueImage, printHeaderStyle, printMaxRows, printWrapCells, quickDrawAheadRatio, rangeRowCountFormat, recordBaseStyleProperty, recordCanRemoveProperty, recordCanSelectProperty, recordCellRoleProperty, recordComponentHeight, recordComponentPoolingMode, recordComponentPosition, recordDetailDSProperty, recordDropAppearance, recordEditProperty, recordEnabledProperty, recordRadius, recordRadiusTargets, recordRowAriaStateProperty, recordRowRoleProperty, recordScreen, recordShowRollOverProperty, recordSummaryAttributePrefix, recordSummaryBaseStyle, removedCSSText, removeFieldTitle, removeIcon, removeIconSize, removeIconStyle, reselectOnUpdate, reselectOnUpdateNotifications, resizeFieldsInRealTime, reverseRTLAlign, rotatedHeaderMenuButtonHeightAsString, rotatedHeaderMenuButtonWidth, rowAriaState, rowCountDisplayPrecision, rowEndEditAction, rowLocatorFieldAsString, rowNumberStart, rowNumberStyle, rowRangeDisplayStyle, rowRangeFormat, rowRole, rowSpanEditMode, rowSpanSelectionMode, saveCriteriaInViewState, saveDefaultSearch, savedSearchAdminRole, savedSearchDS, savedSearchStoredState, savedSearchText, saveLocally, screenReaderCellSeparator, screenReaderIncludeFieldTitles, screenReaderNavigateByCell, screenReaderRowSeparator, screenReaderWriteRowLabelledBy, scrollRedrawDelay, scrollToCellXPosition, scrollToCellYPosition, scrollWheelRedrawDelay, searchFormAsDynamicForm, searchFormAsString, searchFormAsValuesManager, selectCellTextOnClick, selectedState, selectHeaderOnSort, selectionAppearance, selectionProperty, selectionType, selectOnEdit, selectOnExpandRecord, separatorRowStyle, showAllColumns, showAllRecords, showAsynchGroupingPrompt, showBackgroundComponents, showCellContextMenus, showClippedHeaderTitlesOnHover, showClippedValuesOnHover, showCollapsedGroupSummary, showDetailFields, showDropLines, showDropOverRollOver, showEllipsisWhenClipped, showEmptyMessage, showErrorIcons, showExpansionEditorSaveButton, showFilterEditor, showFilterEditorHovers, showFilterEditorTitle, showFilterWindowCriteriaIndicator, showGridSummary, showGroupSummary, showGroupSummaryInHeader, showGroupTitleColumn, showGroupTitleInFrozenBody, showHeader, showHeaderContextMenu, showHeaderMenuButton, showHeaderPartialSelection, showHeaderSeparators, showHeaderShadow, showHeaderSpanContextMenu, showHeaderSpanTitlesInFormulaBuilder, showHeaderSpanTitlesInHiliteEditor, showHeaderSpanTitlesInSortEditor, showHilitesInGroupSummary, showHover, showHoverComponents, showHoverOnDisabledCells, showInitialDragHandles, showLastHeaderSeparators, showNewRecordRow, showPartialSelection, showPreRenderTransition, showRecordComponents, showRecordComponentsByCell, showRollOver, showRollOverCanvas, showRollOverInExpansion, showRollUnderCanvas, showRowNumbers, showSelectedRollOverCanvas, showSelectedRollUnderCanvas, showSelectedStyle, showSelectionCanvas, showSelectionUnderCanvas, showSortArrow, showSortNumerals, showTreeColumnPicker, shrinkForFreeze, singleCellValueProperty, skipClipDiv, skipLineBreaks, sortArrowMenuButtonSpaceOffset, sortAscendingImageAsImgHTMLProperties, sortAscendingImageAsString, sortBinaryByFileName, sortByGroupFirst, sortDescendingImageAsImgHTMLProperties, sortDescendingImageAsString, sortEditorSpanTitleSeparator, sorterButtonTitle, sortFieldAscendingText, sortFieldAsString, sortFieldDescendingText, sortNumeralMenuButtonSpaceOffset, sortNumeralStyle, sortState, spannedHeaderBaseStyle, stopOnErrors, styledRowEnds, summaryRowCriteria, summaryRowDataSource, summaryRowHeight, summaryRowStyle, tableRowStyle, tallBaseStyle, touchScrollRedrawDelay, trackerImageAsImgHTMLProperties, trackerImageAsString, unfreezeFieldText, ungroupText, unknownRowCountDisplayValue, unremoveIcon, updateSummariesDuringEditing, useAdvancedCriteria, useAdvancedFieldPicker, useCellRollOvers, useClientFiltering, useCopyPasteShortcuts, useInlineEditors, useInlineFilterEditors, useLegacyDefaultFormattedValue, useMultiSelectForFilterValueMaps, useRemoteValidators, useRowSpanStyling, validateByCell, validateOnChange, valueIconHeight, valueIconLeftPadding, valueIconRightPadding, valueIconSize, valueIconWidth, viewState, virtualScrolling, waitForSave, warnOnRemoval, warnOnRemovalMessage, warnOnUnmappedValueFieldChange, wrapCells, wrapHeaderSpanTitles, wrapHeaderTitles`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure

  `alignAsString, animateMembers, animateMemberTime, canDropComponents, defaultLayoutAlignAsString, defaultResizeBars, dropLineThickness, enforcePolicy, hPolicy, layoutBottomMargin, layoutEndMargin, layoutLeftMargin, layoutMargin, layoutRightMargin, layoutStartMargin, layoutTopMargin, locateMembersBy, locateMembersType, managePercentBreadth, memberOverlap, membersAsCanvasArray, membersAsStringArrayArray, membersMargin, minMemberLength, minMemberSize, paddingAsLayoutMargin, resizeBarClass, resizeBarSize, reverseOrder, showDragPlaceHolder, stackZIndex, vertical, vPolicy`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadius, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CubeGridLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### alternateRecordStyles

    public String alternateRecordStyles

  - ### autoFetchTextMatchStyle

    public String autoFetchTextMatchStyle

  - ### autoFitColumnTitle

    public String autoFitColumnTitle

  - ### autoFitFieldWidths

    public String autoFitFieldWidths

  - ### autoSelectHeaders

    public String autoSelectHeaders

  - ### autoSelectValues

    public String autoSelectValues

  - ### autoSizeHeaders

    public String autoSizeHeaders

  - ### baseStyle

    public String baseStyle

  - ### bodyMinHeight

    public String bodyMinHeight

  - ### bodyMinWidth

    public String bodyMinWidth

  - ### bodyStyleName

    public String bodyStyleName

  - ### canCollapseFacets

    public String canCollapseFacets

  - ### canDragSelect

    public String canDragSelect

  - ### canEdit

    public String canEdit

  - ### canMinimizeColumns

    public String canMinimizeColumns

  - ### canMinimizeFacets

    public String canMinimizeFacets

  - ### canMoveFacets

    public String canMoveFacets

  - ### canReorderColumns

    public String canReorderColumns

  - ### canResizeColumns

    public String canResizeColumns

  - ### canSelectHeaders

    public String canSelectHeaders

  - ### canSelectValues

    public String canSelectValues

  - ### canSortData

    public String canSortData

  - ### canSortFacets

    public String canSortFacets

  - ### cellAlign

    public String cellAlign

  - ### cellIdProperty

    public String cellIdProperty

  - ### chartConfirmThreshold

    public String chartConfirmThreshold

  - ### chartConstructor

    public String chartConstructor

  - ### chartDialogTitle

    public String chartDialogTitle

  - ### chartItemTitle

    public String chartItemTitle

  - ### chartStackedTitle

    public String chartStackedTitle

  - ### chartType

    public String chartType

  - ### chartTypeTitle

    public String chartTypeTitle

  - ### colHeaderBaseStyle

    public String colHeaderBaseStyle

  - ### colHeaderLabelBaseStyle

    public String colHeaderLabelBaseStyle

  - ### columnFacets

    public String[] columnFacets

  - ### controlCloseTitle

    public String controlCloseTitle

  - ### controlMaximizeTitle

    public String controlMaximizeTitle

  - ### controlMinimizeTitle

    public String controlMinimizeTitle

  - ### controlReorderHandleTitle

    public String controlReorderHandleTitle

  - ### controlSortDownTitle

    public String controlSortDownTitle

  - ### controlSortUpTitle

    public String controlSortUpTitle

  - ### data

    public CellRecord[] data

  - ### dataSourceAsDataSource

    public DataSource dataSourceAsDataSource

  - ### dataSourceAsString

    public String dataSourceAsString

  - ### defaultFacetWidth

    public String defaultFacetWidth

  - ### editByCell

    public String editByCell

  - ### enableCharting

    public String enableCharting

  - ### exportColumnFacetBGColor

    public String exportColumnFacetBGColor

  - ### exportColumnFacetTextColor

    public String exportColumnFacetTextColor

  - ### exportFacetBGColor

    public String exportFacetBGColor

  - ### exportFacetSeparatorString

    public String exportFacetSeparatorString

  - ### exportFacetTextColor

    public String exportFacetTextColor

  - ### exportRowFacetBGColor

    public String exportRowFacetBGColor

  - ### exportRowFacetTextColor

    public String exportRowFacetTextColor

  - ### facetLabelHoverAlign

    public String facetLabelHoverAlign

  - ### facetLabelHoverHeightAsString

    public String facetLabelHoverHeightAsString

  - ### facetLabelHoverStyle

    public String facetLabelHoverStyle

  - ### facetLabelHoverVAlign

    public String facetLabelHoverVAlign

  - ### facetLabelHoverWidthAsString

    public String facetLabelHoverWidthAsString

  - ### facetTitleAlign

    public String facetTitleAlign

  - ### facetValueAlign

    public String facetValueAlign

  - ### facetValueContextItems

    public MenuItem[] facetValueContextItems

  - ### facetValueHoverAlign

    public String facetValueHoverAlign

  - ### facetValueHoverHeightAsString

    public String facetValueHoverHeightAsString

  - ### facetValueHoverStyle

    public String facetValueHoverStyle

  - ### facetValueHoverVAlign

    public String facetValueHoverVAlign

  - ### facetValueHoverWidthAsString

    public String facetValueHoverWidthAsString

  - ### fieldVisibilitySubmenuTitle

    public String fieldVisibilitySubmenuTitle

  - ### fixedFacetValues

    public FacetValueMap fixedFacetValues

  - ### hideAllHighlightsTitle

    public String hideAllHighlightsTitle

  - ### hideEmptyAxis

    public String hideEmptyAxis

  - ### hideEmptyFacetValues

    public String hideEmptyFacetValues

  - ### highlightCellTitle

    public String highlightCellTitle

  - ### highlightSelectionTitle

    public String highlightSelectionTitle

  - ### highlightTitle

    public String highlightTitle

  - ### hilites

    public Hilite[] hilites

  - ### indentVTreeFacets

    public String indentVTreeFacets

  - ### innerHeaderBaseStyle

    public String innerHeaderBaseStyle

  - ### maximizeColumnTitle

    public String maximizeColumnTitle

  - ### metricFacetId

    public String metricFacetId

  - ### minimizeColumnTitle

    public String minimizeColumnTitle

  - ### noHighlightsTitle

    public String noHighlightsTitle

  - ### padTitles

    public String padTitles

  - ### renameFacetValueMessage

    public String renameFacetValueMessage

  - ### renameFacetValueTitle

    public String renameFacetValueTitle

  - ### rollupValue

    public String rollupValue

  - ### rotateHeaderTitles

    public String rotateHeaderTitles

  - ### rowFacets

    public String[] rowFacets

  - ### rowHeaderBaseStyle

    public String rowHeaderBaseStyle

  - ### rowHeaderGridMode

    public String rowHeaderGridMode

  - ### rowHeaderLabelBaseStyle

    public String rowHeaderLabelBaseStyle

  - ### saveByCell

    public String saveByCell

  - ### showAllHighlightsTitle

    public String showAllHighlightsTitle

  - ### showFacetContextMenus

    public String showFacetContextMenus

  - ### showFacetValueContextMenus

    public String showFacetValueContextMenus

  - ### showHighlightsTitle

    public String showHighlightsTitle

  - ### showHoverTipsTitle

    public String showHoverTipsTitle

  - ### simpleDeselect

    public String simpleDeselect

  - ### skinImgDir

    public String skinImgDir

  - ### sortDirection

    public String sortDirection

  - ### sortedFacetValues

    public FacetValueMap sortedFacetValues

  - ### styleName

    public String styleName

  - ### valueExportFormat

    public String valueExportFormat

  - ### valueFormat

    public String valueFormat

  - ### valueProperty

    public String valueProperty

  - ### valueTitle

    public String valueTitle

  - ### vTreeFacetIndent

    public String vTreeFacetIndent

  - ### vTreeFacetIndentDirection

    public String vTreeFacetIndentDirection

  - ### wrapFacetTitles

    public String wrapFacetTitles

  - ### wrapFacetValueTitles

    public String wrapFacetValueTitles

- ## Constructor Details

  - ### CubeGridLogicalStructure

    public CubeGridLogicalStructure()